Skip to main content
GET
/
v3beta1
/
organizations
/
{org_id}
/
repositories
/
indexing
List indexed repositories
curl --request GET \
  --url https://api.devin.ai/v3beta1/organizations/{org_id}/repositories/indexing \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "branches": [
        "<string>"
      ],
      "indexing_enabled": true,
      "repository_path": "<string>",
      "indexing_status": {
        "indexing_enabled": true,
        "latest_completed_search_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_completed_wiki_index_job": {
          "branch_name": "<string>",
          "commit": "<string>",
          "created_at": 123,
          "job_id": "<string>",
          "status": "failed"
        },
        "latest_indexes": [
          {
            "branch_name": "<string>",
            "commit": "<string>",
            "created_at": 123,
            "job_id": "<string>",
            "status": "failed"
          }
        ]
      }
    }
  ],
  "end_cursor": "<string>",
  "has_next_page": false,
  "total": 123
}

Permissions

Requires a service user with the Read permission at the organization level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Query Parameters

after
string | null
first
integer
default:100
Required range: 1 <= x <= 200

Response

Successful Response

items
RepositoryIndexingResponse · object[]
required
end_cursor
string | null

Cursor to fetch the next page, or None if this is the last page.

has_next_page
boolean
default:false

Whether there are more items available after this page.

total
integer | null

Optional total count (can be omitted for performance).